# ai_town.cpp File Reference

Implementation of AITown. More...

`#include "../../stdafx.h"`
`#include "ai_town.hpp"`
`#include "ai_map.hpp"`
`#include "ai_cargo.hpp"`
`#include "ai_error.hpp"`
`#include "../../town.h"`
`#include "../../strings_func.h"`
`#include "../../company_func.h"`
`#include "../../station_base.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Detailed Description

Implementation of AITown.

Definition in file ai_town.cpp.